Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class CSWSychronizationTrigger

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.CSWSychronizationTrigger

All Implemented Interfaces:
  Trigger

    public class CSWSychronizationTrigger

extends Object
implements Trigger

Trigger implementation for synchronizing several CSW instances for incomming Transaction requests

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`CSWSychronizationTrigger(String driver, String url, String user, String password, String smtpServer, String sender, String receiver, Integer maxRepeat, URL address)`

Method Summary
`Object[]` | `doTrigger(Object caller, Object... values)` performs the action(s) defined by a concrete trigger.
`String` | `getName()` returns the name of the Trigger.
`void` | `setName(String name)` sets the name of a Trigger

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSWSychronizationTrigger

    public CSWSychronizationTrigger(String driver,
                                    String url,
                                    String user,
                                    String password,
                                    String smtpServer,
                                    String sender,
                                    String receiver,
                                    Integer maxRepeat,
                                    URL address)

Parameters:
  `driver` -
  `url` -
  `user` -
  `password` -
  `smtpServer` -
  `sender` -
  `receiver` -
  `maxRepeat` -
  `address` - addresses of all CSW instances to be synchronized

Method Detail

### doTrigger

    public Object[] doTrigger(Object caller,
                              Object... values)

  Description copied from interface: `Trigger`
  performs the action(s) defined by a concrete trigger. The returned value must have the same structure as the passed parameter. A trigger may changes the values of the passed parameter(s) but do not change their type or structure

  Specified by:
    `doTrigger` in interface `Trigger`
  Parameters:
    `caller` -
    `values` -
  Returns:
    the objects

### getName

    public String getName()

  Description copied from interface: `Trigger`
  returns the name of the Trigger. The name starts with the name of the class Trigger is assigend to followed by the method from where it is called followed by its 'specific' name; e.g.
  org.deegree.enterprise.servlet.OGCServletController.doService.MyTrigger

  Specified by:
    `getName` in interface `Trigger`
  Returns:
    the name of the Trigger.
  See Also:
    `Trigger.getName()`

### setName

    public void setName(String name)

  Description copied from interface: `Trigger`
  sets the name of a Trigger

  Specified by:
    `setName` in interface `Trigger`
  See Also:
    `Trigger.setName(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org